import Taro from '@tarojs/taro';
import { Picker, View } from '@tarojs/components';
import { useMemo, useState } from 'react';
import PropTypes from 'prop-types';

// 暂时只支持单列普通选择器
const XPicker = (props) => {
  const { bindchange, onChange, range, value : propValue, rangeKey, rangeValue, placeholder = '请选择', ...leftProps } = props

  const [innerValue, setInnerValue] = useState()

  const handleChange = (e) => {
    const data = range[e.detail.value]
    const val = data[rangeValue]
    e.detail.value = val
    setInnerValue(data)

    console.log('-----bindchange----->', bindchange)
    console.log('-----onChange----->', onChange)

    if (bindchange) {
      bindchange(e, data)
    }
    if (onChange) {
      onChange(e, data)
    }
  }

  const value = useMemo(() => {
    if (propValue === undefined || propValue === null) {
      return undefined
    }

    for (let i in range) {
      if (range[i][rangeValue] === propValue) {
        setInnerValue(range[i])
        return i;
      }
    }

    return undefined;
  }, [propValue, range, rangeValue])

  const childViewStyle = useMemo(() => {
    return innerValue ? {} : { color: '#858585' }
  }, [innerValue])

  return (
    <Picker {...leftProps} mode='selector' range={range} value={value} rangeKey={rangeKey} onChange={handleChange}>
      <View style={childViewStyle}>{innerValue === undefined ? placeholder : innerValue[rangeKey]}</View>
    </Picker>
  )
}

XPicker.behaviors = ['wx://form-field']
XPicker.propTypes = {
  behaviors: PropTypes.array
}


export default XPicker
