import { View, ScrollView, Image, Button } from '@tarojs/components'
import Taro, { useDidShow } from '@tarojs/taro';
import ViewIcon from '../../components/ViewIcon';
import { useEffect, useState } from 'react';
import './style.less'
import { addDogList } from '../../services/dogAPI';
import { useModel } from '../../store';

export default (props) => {
  const { dogs, person, setDogs } = useModel('userData')
  const [dogList, setDogList] = useState([])

  const goDogList = () => {
    console.log('e',);
  }
  const goLicenseInfo = (id) => {
    Taro.navigateTo({
      url: `/pages/setDogInfo/index?petId=${id}`
    })
  }
  useDidShow(() => {
    addDogList().then((e) => {
      setDogList(e.records)
      setDogs(e.records)

    })
  })



  const widgetView = (value) => {
    return (
      <View className='user-box-addDog' onClick={() => goLicenseInfo(value.petId)}>
        <View className='user-box-addDog-DogImage'>
          {/* <ViewIcon icon='morentouxiang' size={50} color='#FBD804' /> */}
          <Image src={value.image} />
        </View>

        <View className='user-box-addDog-DogImage'>
          <View>姓名：{value.name}</View>
          <View>犬种：{value.petType}</View>
        </View>
        <View className='user-box-addDog-rightDog' >
          <View style={{ paddingRight: '5px' }}>
            <ViewIcon icon='bianji' size={17} color='#2f2f2f' />
          </View>
          修改狗狗
        </View>
      </View>
    )
  }

  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      {
        dogList.map((item, index) => {
          return (
            widgetView(item)

          )
        })
      }

      <View slot='button' style={{ margin: '4em 0 2em 0' }} onClick={goLicenseInfo}>
        <Button style={{ width: '50vw', backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }} class='weui-btn' type='primary' loading={false} formType='submit'>+ 添加狗狗</Button>
      </View>
    </ScrollView>
  )
}

